MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030571Open CASCADE[OCCT] OCCT:Visualizationpublic2019-03-13 20:522019-03-19 10:35
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030571: Visualization, TKOpenGl - mapped texture is ignored while drawing points
DescriptionOpenGl_PrimitiveArray unconditionally disables active textures and supports only point sprites (mapped using generated texture coordinates within the point dimensions).

This disallows mapping features like Color Scale onto point cloud.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029570verifiedapn Visualization, Graphic3d_Aspect - merge Graphic3d_Group aspects 

-  Notes
(0082936)
git (administrator)
2019-03-14 02:09

Branch CR30571 has been created by kgv.

SHA-1: 47e2ad701a2814d195db3acccdd73db8eb5d2f02


Detailed log of new commits:

Author: kgv
Date: Thu Mar 14 02:03:50 2019 +0300

    0030571: Visualization, TKOpenGl - mapped texture is ignored while drawing points
    
    OpenGl_AspectsTextureSet now appends Sprite texture to the end of texture set.
    OpenGl_Context::init() - fixed usage of GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS on too old GL context.

Author: kgv
Date: Wed Mar 13 21:46:24 2019 +0300

    0030570: Visualization, TKOpenGl - OpenGl_AspectFace ignores texture revision on recompute
    
    Added revision check to one more branch within OpenGl_AspectsTextureSet::build().
(0082952)
git (administrator)
2019-03-14 17:15

Branch CR30571 has been updated by kgv.

SHA-1: aed429036eacc14cf9bd1a891b100cbf6dc3be30


Detailed log of new commits:

Author: kgv
Date: Thu Mar 14 16:15:36 2019 +0300

    Default sampler names occSampler0, occActiveSampler and occSamplerBaseColor
    are now excluded from header with common declarations for build-in GLSL programs.
    
    OpenGl_ShaderObject::LoadAndCompile() and OpenGl_ShaderProgram::Link()
    now includes program Id within error log.
    
    OpenGl_ShaderManager now supports mapping texture onto point primitive within built-in programs
    (texture transformation is ignored).

(0082953)
git (administrator)
2019-03-14 17:39

Branch CR30571 has been updated by kgv.

SHA-1: a83f5241f8a2147db7815a700913f477a80cd402


Detailed log of new commits:

Author: kgv
Date: Thu Mar 14 17:33:42 2019 +0300

    # added simple test case

(0082957)
git (administrator)
2019-03-14 19:01

Branch CR30571_1 has been created by kgv.

SHA-1: b1e55f7d3441994e6dba15b33dc57a29d20c71a0


Detailed log of new commits:

Author: kgv
Date: Thu Mar 14 02:03:50 2019 +0300

    0030571: Visualization, TKOpenGl - mapped texture is ignored while drawing points
    
    OpenGl_AspectsTextureSet now appends Sprite texture to the end of texture set.
    OpenGl_Context::init() - fixed usage of GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS on too old GL context.
    
    Default sampler names occSampler0, occActiveSampler and occSamplerBaseColor
    are now excluded from header with common declarations for build-in GLSL programs.
    
    OpenGl_ShaderObject::LoadAndCompile() and OpenGl_ShaderProgram::Link()
    now includes program Id within error log.
    
    OpenGl_ShaderManager now supports mapping texture onto point primitive within built-in programs
    (texture transformation is ignored).
(0082958)
git (administrator)
2019-03-14 19:20

Branch CR30571_1 has been updated by kgv.

SHA-1: 1d72735e9e2313916951ae05773d59d38b946c90


Detailed log of new commits:

Author: kgv
Date: Thu Mar 14 19:14:54 2019 +0300

    # fix environment mapping on trihedron

(0082959)
git (administrator)
2019-03-14 19:21

Branch CR30571_2 has been created by kgv.

SHA-1: 7230afc33d189e13c1019d99a5f1b4d00f75ac7f


Detailed log of new commits:

Author: kgv
Date: Thu Mar 14 02:03:50 2019 +0300

    0030571: Visualization, TKOpenGl - mapped texture is ignored while drawing points
    
    OpenGl_AspectsTextureSet now appends Sprite texture to the end of texture set.
    OpenGl_Context::init() - fixed usage of GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS on too old GL context.
    
    Default sampler names occSampler0, occActiveSampler and occSamplerBaseColor
    are now excluded from header with common declarations for build-in GLSL programs.
    
    OpenGl_ShaderObject::LoadAndCompile() and OpenGl_ShaderProgram::Link()
    now includes program Id within error log.
    
    OpenGl_ShaderManager now supports mapping texture onto point primitive within built-in programs
    (texture transformation is ignored).
(0082960)
kgv (developer)
2019-03-14 19:22

Patch is ready for review.
(0082974)
osa (developer)
2019-03-15 11:54

The branch CR30571_2 is reviewed without remarks
(0082975)
apn (administrator)
2019-03-15 12:47

Combination -
OCCT branch : CR30571_2
master SHA - 7230afc33d189e13c1019d99a5f1b4d00f75ac7f
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : CR30571 SHA - 31f396ae98991c7aea62e91ee1f41e9eae774dc2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16595.900000000023 / 16599.24999999996 [-0.02%]
Products
Total CPU difference: 9084.690000000026 / 9092.71000000004 [-0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 18019.265625 / 17985.28125 [+0.19%]
Products
Total CPU difference: 10459.234375 / 10460.953125 [-0.02%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083022)
git (administrator)
2019-03-16 16:51

Branch CR30571_2 has been updated by apn.

SHA-1: 6078f4b53ecbd0d3c7d4b4c1f6c21e42d7b72fdb


Detailed log of new commits:

Author: kgv
Date: Sat Mar 16 15:20:25 2019 +0300

    # 0030571 OpenGL ES compilation fix

(0083073)
git (administrator)
2019-03-19 10:32

Branch CR30571_2 has been deleted by inv.

SHA-1: 6078f4b53ecbd0d3c7d4b4c1f6c21e42d7b72fdb
(0083079)
git (administrator)
2019-03-19 10:33

Branch CR30571_1 has been deleted by inv.

SHA-1: 1d72735e9e2313916951ae05773d59d38b946c90
(0083080)
git (administrator)
2019-03-19 10:33

Branch CR30571 has been deleted by inv.

SHA-1: a83f5241f8a2147db7815a700913f477a80cd402

- Related Changesets
occt: master 737e9a8d
Timestamp: 2019-03-16 13:47:33
Author: kgv
Committer: apn
Details ] Diff ]
0030571: Visualization, TKOpenGl - mapped texture is ignored while drawing points

OpenGl_AspectsTextureSet now appends Sprite texture to the end of texture set.
OpenGl_Context::init() - fixed usage of GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS on too old GL context.

Default sampler names occSampler0, occActiveSampler and occSamplerBaseColor
are now excluded from header with common declarations for build-in GLSL programs.

OpenGl_ShaderObject::LoadAndCompile() and OpenGl_ShaderProgram::Link()
now includes program Id within error log.

OpenGl_ShaderManager now supports mapping texture onto point primitive within built-in programs
(texture transformation is ignored).
mod - src/Graphic3d/Graphic3d_Aspects.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Aspects.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Aspects.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectsSprite.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectsSprite.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectsTextureSet.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectsTextureSet.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PointSprite.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SetOfShaderPrograms.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderObject.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderObject.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureSet.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureSet.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/Shaders/Declarations.glsl Diff ] File ]
mod - src/Shaders/Shaders_Declarations_glsl.pxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - tests/v3d/point_cloud/sphere Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-13 20:52 kgv New Issue
2019-03-13 20:52 kgv Assigned To => kgv
2019-03-14 02:09 git Note Added: 0082936
2019-03-14 16:21 kgv Relationship added related to 0029570
2019-03-14 17:15 git Note Added: 0082952
2019-03-14 17:39 git Note Added: 0082953
2019-03-14 19:01 git Note Added: 0082957
2019-03-14 19:20 git Note Added: 0082958
2019-03-14 19:21 git Note Added: 0082959
2019-03-14 19:22 kgv Note Added: 0082960
2019-03-14 19:22 kgv Assigned To kgv => san
2019-03-14 19:22 kgv Status new => resolved
2019-03-14 19:22 kgv Assigned To san => osa
2019-03-15 11:54 osa Note Added: 0082974
2019-03-15 11:54 osa Assigned To osa => bugmaster
2019-03-15 11:54 osa Status resolved => reviewed
2019-03-15 12:47 apn Test case number => Not needed
2019-03-15 12:47 apn Note Added: 0082975
2019-03-15 12:47 apn Status reviewed => tested
2019-03-16 16:51 git Note Added: 0083022
2019-03-17 15:40 apn Changeset attached => occt master 737e9a8d
2019-03-17 15:40 apn Assigned To bugmaster => apn
2019-03-17 15:40 apn Status tested => verified
2019-03-17 15:40 apn Resolution open => fixed
2019-03-19 10:32 git Note Added: 0083073
2019-03-19 10:33 git Note Added: 0083079
2019-03-19 10:33 git Note Added: 0083080


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker